FLAC: FLAC__StreamMetadata_Picture Struct Reference

FLAC 1.3.3

Public Attributes | List of all members
FLAC__StreamMetadata_Picture Struct Reference
FLAC C API » FLAC/format.h: format components

`#include <format.h>`

## Public Attributes
FLAC__StreamMetadata_Picture_Type | type
char * | mime_type
FLAC__byte * | description
FLAC__uint32 | width
FLAC__uint32 | height
FLAC__uint32 | depth
FLAC__uint32 | colors
FLAC__uint32 | data_length
FLAC__byte * | data

## Detailed Description

FLAC PICTURE structure. (See the format specification for the full description of each field.)

## Member Data Documentation

## ◆ type

FLAC__StreamMetadata_Picture_Type FLAC__StreamMetadata_Picture::type

The kind of picture stored.

## ◆ mime_type

char* FLAC__StreamMetadata_Picture::mime_type

Picture data's MIME type, in ASCII printable characters 0x20-0x7e, NUL terminated. For best compatibility with players, use picture data of MIME type `image/jpeg` or `image/png`. A MIME type of '-->' is also allowed, in which case the picture data should be a complete URL. In file storage, the MIME type is stored as a 32-bit length followed by the ASCII string with no NUL terminator, but is converted to a plain C string in this structure for convenience.

## ◆ description

FLAC__byte* FLAC__StreamMetadata_Picture::description

Picture's description in UTF-8, NUL terminated. In file storage, the description is stored as a 32-bit length followed by the UTF-8 string with no NUL terminator, but is converted to a plain C string in this structure for convenience.

## ◆ width

FLAC__uint32 FLAC__StreamMetadata_Picture::width

Picture's width in pixels.

## ◆ height

FLAC__uint32 FLAC__StreamMetadata_Picture::height

Picture's height in pixels.

## ◆ depth

FLAC__uint32 FLAC__StreamMetadata_Picture::depth

Picture's color depth in bits-per-pixel.

## ◆ colors

FLAC__uint32 FLAC__StreamMetadata_Picture::colors

For indexed palettes (like GIF), picture's number of colors (the number of palette entries), or `0` for non-indexed (i.e. 2^depth).

## ◆ data_length

FLAC__uint32 FLAC__StreamMetadata_Picture::data_length

Length of binary picture data in bytes.

## ◆ data

FLAC__byte* FLAC__StreamMetadata_Picture::data

Binary picture data.

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2016 Xiph.Org Foundation |